@HypeEditor

Проблема с установкой Polychromatic в Kali Linux?

Появилась потребность установить Polychromatic в Kali linux ибо есь клавиатура от Razer, но по ходу установки возниклла проблема:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 102, in _get_https_content_py3
    lp_page = urllib.request.urlopen(request, cafile=LAUNCHPAD_PPA_CERT)
  File "/usr/lib/python3.9/urllib/request.py", line 214, in urlopen
    return opener.open(url, data, timeout)
  File "/usr/lib/python3.9/urllib/request.py", line 523, in open
    response = meth(req, response)
  File "/usr/lib/python3.9/urllib/request.py", line 632, in http_response
    response = self.parent.error(
  File "/usr/lib/python3.9/urllib/request.py", line 561, in error
    return self._call_chain(*args)
  File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
    result = func(*args)
  File "/usr/lib/python3.9/urllib/request.py", line 641, in http_error_default
    raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 404: Not Found

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 327, in get_ppa_info
    ret = get_ppa_info_from_lp(user, ppa)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 92, in get_ppa_info_from_lp
    return get_info_from_lp(lp_url)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 88, in get_info_from_lp
    return _get_https_content_py3(lp_url)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 108, in _get_https_content_py3
    raise PPAException("Error reading %s: %s" % (lp_url, reason), e)
softwareproperties.ppa.PPAException: 'Error reading https://launchpad.net/api/1.0/~terrz/+archive/ubuntu/razerutils: Not Found'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 393, in shortcut_handler
    return PPAShortcutHandler(shortcut)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 356, in __init__
    info = get_ppa_info(self.shortcut)
  File "/usr/lib/python3/dist-packages/softwareproperties/ppa.py", line 338, in get_ppa_info
    raise ShortcutException('\n'.join(msg) + "\n" +
softwareproperties.shortcuts.ShortcutException: Cannot add PPA: 'ppa:~terrz/ubuntu/razerutils'.
The user named '~terrz' has no PPA named 'ubuntu/razerutils'
Please choose from the following available PPAs:
Error: 'ppa:terrz/razerutils' invalid


Что можете посоветовать или предложить?
  • Вопрос задан
  • 81 просмотр
Пригласить эксперта
Ответы на вопрос 1
dobergroup
@dobergroup
Что-то знаю про РЭР и РЭБ
Перестать бездумно копировать рецепты из интернет. Вы пытаетесь ставить каким-то древним скриптом, в котором захардкожен устаревший (и недоступный) PPA.
Рецепт (которому 3 года) тут: https://github.com/polychromatic/polychromatic/iss...
Ответ написан
Комментировать
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы